# Haskell text faces and other stuff related to syntax highlighting
# for Haskell in Kakoune, because I prefer different color arrangements
# per language.

{ theme, pkgs, ... }: pkgs.writeTextFile (rec {
    name = "nix.kak";
    destination = "/share/kak/colors/${name}";
    text = with theme; ''

    	add-highlighter buffer/ regex '\b\s*(=)'  1:operator
    	
    	face global string		rgb:${green.normal}
		face global operator	rgb:${yellow.bright}+b
		face global keyword		rgb:${blue.normal}+b
		face global meta		rgb:${purple.bright}
		face global builtin		rgb:${blue.bright}+b

    '';
})
